commit b3b6fd048fc1a17c73ae538361f8aa046b3f944c
Author: Guillaume Lelarge <guillaume@lelarge.info>
Date:   Sun Feb 9 11:15:51 2014 +0100

    Give more options with the plain format
    
    Previously, we denied schema/data only, no owner, no tablespace, etc with the
    plain format.

diff --git a/pgadmin/frm/frmBackup.cpp b/pgadmin/frm/frmBackup.cpp
index 94fe522..8753d94 100644
--- a/pgadmin/frm/frmBackup.cpp
+++ b/pgadmin/frm/frmBackup.cpp
@@ -344,23 +344,16 @@ void frmBackup::OnChange(wxCommandEvent &ev)
 
 void frmBackup::OnChangePlain(wxCommandEvent &ev)
 {
-	bool isPlain = (cbFormat->GetSelection() == 2);
 	bool isDirectory = (cbFormat->GetSelection() == 3);
 	bool isSection = chkSectionPreData->GetValue() || chkSectionData->GetValue() || chkSectionPostData->GetValue();
 
-	chkBlobs->Enable(canBlob && !isPlain);
-	chkOnlyData->Enable(isPlain && !chkOnlySchema->GetValue() && !isSection);
-	if (isPlain)
-		isPlain = !chkOnlyData->GetValue();
-
-	chkOnlySchema->Enable(isPlain && !isSection);
+	chkOnlyData->Enable(!chkOnlySchema->GetValue() && !isSection);
+	chkOnlySchema->Enable(!chkOnlyData->GetValue() && !isSection);
 
 	chkSectionPreData->Enable(!chkOnlyData->GetValue() && !chkOnlySchema->GetValue());
 	chkSectionData->Enable(!chkOnlyData->GetValue() && !chkOnlySchema->GetValue());
 	chkSectionPostData->Enable(!chkOnlyData->GetValue() && !chkOnlySchema->GetValue());
-	chkNoOwner->Enable(isPlain);
-	chkDropDb->Enable(isPlain);
-	chkCreateDb->Enable(isPlain);
+
 	chkDisableTrigger->Enable(chkOnlyData->GetValue());
 
 	btnFilename->Enable(!isDirectory);
